# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name HsSyck

# no useful debuginfo for Haskell packages without C sources
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.52
Release:        2%{?dist}
Summary:        Fast, lightweight YAML loader and dumper

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Patch1:         HsSyck-syck-devel.patch

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-hashtables-devel
BuildRequires:  ghc-syb-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  syck-devel%{?_isa}
# End cabal-rpm deps

%description
This is a simple YAML ('Yet Another Markup Language') processor,
used by the Pugs project for handling data serialization;
this can be useful for optimization and caching purposes.

This is an interface to the 'syck' C library for parsing and dumping YAML data.
It lets you transform textual YAML data into an object of type 'YamlNode', and
vice versa, fast.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}
# Begin cabal-rpm deps:
Requires:       syck-devel%{?_isa}
# End cabal-rpm deps

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}
%patch1 -p1 -b .orig

# remove bundled C library
rm -r syck/


%build
%ghc_lib_build


%install
%ghc_lib_install

rm %{buildroot}%{_datadir}/%{pkg_name}-%{version}/Changes


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%doc Changes


%changelog
* Tue May 13 2014 Jens Petersen <petersen@redhat.com> - 0.52-2
- build with system syck not bundled copy

* Tue May 13 2014 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.52-1
- spec file generated by cabal-rpm-0.8.10
